Bug 525004 - autotools' download of XML API descriptions needs to be compressed
Summary: autotools' download of XML API descriptions needs to be compressed
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse-cdt
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jeff Johnston
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-22 22:47 UTC by Frank Ch. Eigler
Modified: 2009-09-25 18:22 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-25 18:22:05 UTC


Attachments (Terms of Use)

Description Frank Ch. Eigler 2009-09-22 22:47:03 UTC
On sourceware.org, which hosts eclipse autotools, the web logs
indicate that huge fractions of the web traffic are acconted for
by the .xml files, specifically this one:

/eclipse/autotools/glibc-2.7-2.xml

From the web server logs, it appears that no http-level compression
is being applied to the transfer.  If it were, these files would
transfer something like ten times faster, being so darned compressible.

So please investigate making eclipse use http compressino directives,
for example via code like this:

http://www.gaminggutter.com/forum/f73/java-url-class-w-gzip-deflate-15392.html

Please please please & thank you.

Comment 1 Andrew Overholt 2009-09-23 12:20:52 UTC
Filed upstream:  https://bugs.eclipse.org/bugs/show_bug.cgi?id=290247

Comment 2 Jeff Johnston 2009-09-25 18:22:05 UTC
The file in question is no longer used by the Eclipse upstream code, however, the Fedora releases had not updated to newest code.  The new code now loads serialized classes which contain the documentation data.  Fedora has now been updated but in addition, a patch has been created to place the documentation classes into the plug-in itself so that there is no web traffic required.  This can't be done in the upstream case due to the documentation licenses are not permitted in the Eclipse.org repositories.


Note You need to log in before you can comment on or make changes to this bug.